extends RichTextLabel

const REGULAR_TEXT = "THE LAST SHIFT"
const HIGHLIGHT_TEXT = "THE L[color=#ff0000]A[/color]ST SH[color=#ff0000]I[/color]FT"

var highlighted = false

func _on_timer_timeout():
	if highlighted:
		if randf() < 0.3:
			highlighted = false
			text = REGULAR_TEXT
	elif randf() < 0.15:
		highlighted = true
		text = HIGHLIGHT_TEXT
